Skip to main content

Fix wifi on Raspberry Pi Devices

Introduction

In this post, we are going to fix wifi on raspberry pi 3 devices. We may have seen or we would be experiencing wifi problems on the raspberry pi 3 devices. I am currently doing this on the Raspberry Pi 3 B+. We fix WiFi Connection problems on the Different OS’s that can be installed on Raspberry Pi 3.

What You should do to fiz wifi problems on raspberry pi 3

  • Flash/Pen Drive. Minimum of 1 GB.
  • A computer (except a Pi).

Basics

What we are going to do is simple. We will be uploading drivers to the Operating System we are currently running on. The Linux drivers for ARM based devices are identical for a device. We will copy driver from a working Operating System to our New WiFi unsupported Operating System.

Is it safe ?

Yes, it is safe to copy drivers from one Linux Operating System to another if both the Operating Systems are designed to run on the same device.

Simple Steps for Solving WiFi issue on the Raspberry Pi 3

Plug in the Pen Drive to your PC

We should first plugin the pen drive to our Personal Computer and not the Pi.

Download and Extract Compressed BRCM Folder to fix wifi on raspberry pi 3

Download the BRCM Zip

BCRM ZIP : http://tonancos.com/36Yd

Download the Zip File Above

Paste the BRCM folder to you Flash Drive

You should paste the brcm folder to your flash drive to securely copy the drivers to the other Operating System.

Boot Up the OS in which WiFi doesn’t work and Copy the BCRM folder to the same directory that we did before.

Reboot your system and see the Magic

You new OS now supports WiFi.

Comments

Popular posts from this blog

Install LineageOS 16.1 on SM-J610(x) Samsung Galaxy J6 Plus

Installation Unlock the Bootloader Unlocking the bootloader involves complete removeal of your files. So, do a backup for your important files. Go to Settings -> About Phone -> Software Information Tap on “Build Number” 7 Times Developer option will be enabled Go to Settings -> Developer Options (At the bottom) Enable “OEM Unlocking”. You have to format your phone. Risk !!! Proceed the steps below if you are ready to take the risk of voiding your warranty (KNOX 0x1) It’s always better to do after your device warranty is over. Download Necessary Files I have made a All-in-One complete Installation ZIP file. Download Here or Click Button Below All-In-One ZIP Official Link Now, extract all the files to a folder. Boot Into Download Completely Power-Off your device Remove every cables connected to the device Press the Volume-Up & Volume-Down simultaneously. Now connect your phone to the COMPUTER via Micro-USB Cable Read the instruction shown there for a moment. Now, press the

Install Lineage OS 16, TWRP, Gapps on Samsung Galaxy Tab 10.1 2019 (SM-T510)

Introduction Let’s get started on installing this wonderful ROM RISK ! Make sure you are ready to take the risk as this may can lead to complete device bricking. Download the All-in-one zip file Download full installation files as zip Steps for installation Unlock bootloader Disconnect the USB cable Power off the device Press and hold Volume Up & Down keys Insert USB cable Flash TWRP Open Odin Click on AP Select TWRP .md5 file inside the zip I asked you to download Click on start near to bottom of odin window Flash Multidisabler Copy the multidisabler file in the zip I asked you to download into your SD card. Boot to TWRP and browse and swipe to install multidisabler zip file. Flash Lineage OS with Odin As I mentioned about installing the TWRP recovery above, browse the lineage os “.md5” file as your AP and hit on start Install Gapps Boot into TWRP recovery Install gapps “.zip” file as we installed the multidisabler. Boot into Lineage OS 16 !

Fix "Post processing of the image failed" - Wordpress Error (All Solutions)

Video guide Debugging the issue There is a file at /var/log/apache2 which logs all the errors that happen on your websites. tail -f /etc/apache2/error.log This will list your errors on your apache websites real-time. See the video above to know how I debugged and solved this error. All Solutions 1. Install php-mbstring module SSH into your server and type: sudo apt-get install php-mbstringsudo service apache2 reloadsudo service apache2 restart This will install the module for you and most probably will solve this issue for you. Remember: On the video above you might have seen that doing this didn’t work right away for me. But only after continuos restart and reload of apache server. Or you might need to just reboot your server with: sudo reboot Update your php.ini First find your install php version: php -v Now that you know your php version, cd into your php version at: cd /etc/php/(php_version) Now, edit you php.ini sudo apt install nano # If nano not installed on your servernano /et